%define name amsn-skins
%define version 0.94
%define release %mkrel 2


Summary: Collection of skins for aMSN
Name: %name
Version: %version
Release: %release
License: GPL
Group: Networking/Instant messaging
URL: http://amsn.sf.net/

Source0: http://dl.sf.net/amsn/Alloque_Lavender.zip
Source1: http://dl.sf.net/amsn/Alternative-Tux.zip
Source2: http://dl.sf.net/amsn/BSDmsn.zip
Source3: http://dl.sf.net/amsn/Bolos.zip
Source4: http://dl.sf.net/amsn/Fluox.zip
Source5: http://dl.sf.net/amsn/Grey-MSN.zip
Source6: http://dl.sf.net/amsn/Lila.zip
Source7: http://dl.sf.net/amsn/MSN.zip
Source8: http://dl.sf.net/amsn/Rubber.zip
Source9: http://dl.sf.net/amsn/SpherIco.zip
Source11: http://dl.sf.net/amsn/aDarwin.zip
Source12: http://dl.sf.net/amsn/aMac.zip
Source13: http://dl.sf.net/amsn/crystola.zip
Source14: http://dl.sf.net/amsn/cubic.zip
Source15: http://dl.sf.net/amsn/wolfheart.zip
BuildRoot: %{_tmppath}/%{name}-buildroot

BuildArch: noarch
Requires: amsn >= 0.94

%description
amsn is a Tcl/Tk clone that implements the Microsoft Messenger (MSN) for
Unix, Windows, or Macintosh platforms. It supports file transfers,
groups, and many more features.

This package contains a collection of skins.

%prep
%setup -n amsn-skins -c 0 -b 1 -b 2 -b 3 -b 4 -b 5 -b 6 -b 7 -b 8 -b 9 -b 11 -b 12 -b 13 -b 14 -b 15

%build

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_datadir}/amsn/skins/
%{__cp} -avx * %{buildroot}%{_datadir}/amsn/skins/
chmod -R 755 %{buildroot}%{_datadir}/amsn/skins/*

# Remove Unused files
rm -f %{buildroot}%{_datadir}/amsn/skins/Grey-MSN/pixmaps/.xvpics/*
rm -f %{buildroot}%{_datadir}/amsn/skins/SpherIco/pixmaps/.xvpics/*
rm -f %{buildroot}%{_datadir}/amsn/skins/Grey-MSN/pixmaps/.xvpics/*
%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)

%{_datadir}/amsn/skins/MSN/desc.txt
%{_datadir}/amsn/skins/MSN/displaypic/*
%{_datadir}/amsn/skins/MSN/settings.xml
%{_datadir}/amsn/skins/MSN/smileys/*
%{_datadir}/amsn/skins/MSN/sounds/*
%{_datadir}/amsn/skins/MSN/pixmaps/*


%{_datadir}/amsn/skins/Rubber/desc.txt
%{_datadir}/amsn/skins/Rubber/pixmaps/*.gif
%{_datadir}/amsn/skins/Rubber/settings.xml
%{_datadir}/amsn/skins/Rubber/sounds/*.wav


%{_datadir}/amsn/skins/SpherIco/desc.txt
%{_datadir}/amsn/skins/SpherIco/displaypic/*
%{_datadir}/amsn/skins/SpherIco/pixmaps/*
%{_datadir}/amsn/skins/SpherIco/settings.xml
%{_datadir}/amsn/skins/SpherIco/smileys/*
%{_datadir}/amsn/skins/SpherIco/sounds/*


%{_datadir}/amsn/skins/aDarwin/Icon
%{_datadir}/amsn/skins/aDarwin/desc.txt
%{_datadir}/amsn/skins/aDarwin/displaypic/*
%{_datadir}/amsn/skins/aDarwin/settings.xml
%{_datadir}/amsn/skins/aDarwin/smileys/*
%{_datadir}/amsn/skins/aDarwin/sounds/*.wav
%{_datadir}/amsn/skins/aDarwin/pixmaps/*


%{_datadir}/amsn/skins/aMac/README
%{_datadir}/amsn/skins/aMac/desc.txt
%{_datadir}/amsn/skins/aMac/displaypics/*
%{_datadir}/amsn/skins/aMac/pixmaps/*
%{_datadir}/amsn/skins/aMac/settings.xml
%{_datadir}/amsn/skins/aMac/smileys/*.gif


%{_datadir}/amsn/skins/crystola/desc.txt
%{_datadir}/amsn/skins/crystola/displaypic/*
%{_datadir}/amsn/skins/crystola/pixmaps/*
%{_datadir}/amsn/skins/crystola/settings.xml


%{_datadir}/amsn/skins/cubic/desc.txt
%{_datadir}/amsn/skins/cubic/pixmaps/*
%{_datadir}/amsn/skins/cubic/settings.xml


%{_datadir}/amsn/skins/wolfheart/desc.txt
%{_datadir}/amsn/skins/wolfheart/pixmaps/*
%{_datadir}/amsn/skins/wolfheart/settings.xml


%{_datadir}/amsn/skins/Lila/desc.txt
%{_datadir}/amsn/skins/Lila/displaypic/*
%{_datadir}/amsn/skins/Lila/license
%{_datadir}/amsn/skins/Lila/pixmaps/*
%{_datadir}/amsn/skins/Lila/settings.xml


%{_datadir}/amsn/skins/Bolos/desc.txt
%{_datadir}/amsn/skins/Bolos/displaypic/*
%{_datadir}/amsn/skins/Bolos/pixmaps/*
%{_datadir}/amsn/skins/Bolos/settings.xml


%{_datadir}/amsn/skins/Fluox/desc.txt
%{_datadir}/amsn/skins/Fluox/displaypic/*
%{_datadir}/amsn/skins/Fluox/pixmaps/amsnicon.gif
%{_datadir}/amsn/skins/Fluox/pixmaps/*
%{_datadir}/amsn/skins/Fluox/settings.xml


%{_datadir}/amsn/skins/Grey-MSN/desc.txt
%{_datadir}/amsn/skins/Grey-MSN/displaypic/*
%{_datadir}/amsn/skins/Grey-MSN/pixmaps/*
%{_datadir}/amsn/skins/Grey-MSN/settings.xml
%{_datadir}/amsn/skins/Grey-MSN/smileys/*
%{_datadir}/amsn/skins/Grey-MSN/sounds/*


%{_datadir}/amsn/skins/Alloque_Lavender/desc.txt
%{_datadir}/amsn/skins/Alloque_Lavender/displaypic/*
%{_datadir}/amsn/skins/Alloque_Lavender/pixmaps/*
%{_datadir}/amsn/skins/Alloque_Lavender/settings.xml


%{_datadir}/amsn/skins/Alternative-Tux/desc.txt
%{_datadir}/amsn/skins/Alternative-Tux/displaypic/*
%{_datadir}/amsn/skins/Alternative-Tux/pixmaps/*
%{_datadir}/amsn/skins/Alternative-Tux/settings.xml


%{_datadir}/amsn/skins/BSDmsn/README
%{_datadir}/amsn/skins/BSDmsn/desc.txt
%{_datadir}/amsn/skins/BSDmsn/pixmaps/*
%{_datadir}/amsn/skins/BSDmsn/settings.xml
%{_datadir}/amsn/skins/BSDmsn/smileys/*
%{_datadir}/amsn/skins/BSDmsn/sounds/*


%changelog
* Tue Jul 12 2005 Nicolas Lcureuil <neoclust@mandrake.org> - 0.94-2mdk
- Fix file section 
- remove source 10  ( Fix conflict with amsn )

* Fri Apr 01 2005 Nicolas Lcureuil <neoclust@mandrake.org> - 0.94-1mdk
- First Release
